import 'dart:ui';

import 'package:colorful_safe_area/colorful_safe_area.dart';
import 'package:flutter/material.dart';

void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      title: 'ColorfulSafeArea Demo',
      home: MyHomePage(),
    );
  }
}

class MyHomePage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    int numberOfTiles = 100;

    return ColorfulSafeArea(
      // overflowRules: OverflowRules.only(top: true),
      color: Colors.red,
      // top: false,
      bottom: false,
      child: Scaffold(
        body: Container(
          color: Colors.yellow,
        ),
      ),
    );
  }
}
